## org.apache.poi.hssf.record.chart
Class PlotGrowthRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.chart.PlotGrowthRecord

    public final class PlotGrowthRecord

extends StandardRecord

The plot growth record specifies the scaling factors used when a font is scaled.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` `sid`

Constructor Summary
`PlotGrowthRecord()`
`PlotGrowthRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` `clone()`
`protected int` `getDataSize()`
`int` `getHorizontalScale()` Get the horizontalScale field for the PlotGrowth record.
`short` `getSid()` return the non static version of the id for this record.
`int` `getVerticalScale()` Get the verticalScale field for the PlotGrowth record.
`void` `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` `setHorizontalScale(int field_1_horizontalScale)` Set the horizontalScale field for the PlotGrowth record.
`void` `setVerticalScale(int field_2_verticalScale)` Set the verticalScale field for the PlotGrowth record.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### PlotGrowthRecord

    public PlotGrowthRecord()

### PlotGrowthRecord

    public PlotGrowthRecord(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getHorizontalScale

    public int getHorizontalScale()

  Get the horizontalScale field for the PlotGrowth record.

### setHorizontalScale

    public void setHorizontalScale(int field_1_horizontalScale)

  Set the horizontalScale field for the PlotGrowth record.

### getVerticalScale

    public int getVerticalScale()

  Get the verticalScale field for the PlotGrowth record.

### setVerticalScale

    public void setVerticalScale(int field_2_verticalScale)

  Set the verticalScale field for the PlotGrowth record.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.